const makeServiceWorkerEnv = require('service-worker-mock');

describe("plugin: gun-ipfs", () => {
  beforeEach(() => {
    Object.assign(global, makeServiceWorkerEnv());
    jest.resetModules();
    self.LibResilientPlugins = new Array()
    self.LibResilientConfig = {
        plugins: {
            'gun-ipfs':{
                'gunPubkey': 'stub'
            }
        }
    }
    self.log = function(component, ...items) {
        console.debug(component + ' :: ', ...items)
    }
  })
  test("it should register in LibResilientPlugins", () => {
    require("../../plugins/gun-ipfs.js");
    expect(self.LibResilientPlugins[0].name).toEqual('gun-ipfs');
  });
});
