const makeServiceWorkerEnv = require('service-worker-mock');

describe("plugin: ipns-ipfs", () => {
  beforeEach(() => {
    Object.assign(global, makeServiceWorkerEnv());
    jest.resetModules();
    self.LibResilientPlugins = new Array()
    self.LibResilientConfig = {
        plugins: {
            'ipns-ipfs':{
                'ipnsPubkey': 'stub'
            }
        }
    }
  })
  test("it should register in LibResilientPlugins", () => {
    require("../../plugins/ipns-ipfs.js");
    expect(self.LibResilientPlugins[0].name).toEqual('ipns-ipfs');
  });
});
